# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

invoice_menu_item = items.MenuItem(
    # GENERAL
    _('Invoice'), 
    reverse('admin:app_list', kwargs={'app_label': 'invoice'}),
    children=[
        items.MenuItem(
            _('Invoice'),
            '',
            children=[
                items.MenuItem(_('Add Invoice'), reverse('admin:invoice_invoice_add',)), 
                items.MenuItem(_('Invoice List'), reverse('admin:invoice_invoice_changelist',)),
            ]
        ),
    ]
)


register_menu(invoice_menu_item, 'jmb.invoice')